<template>
  <div class="container">
    <div class="boxDoyouKnow border0after">
      <h3>
        <span class="text-red">Do You Know?</span>
      </h3>
      <p class="pb-0 Black">{{fetchedData.dataYouKnow.content}}</p>
    </div>
    <div class="boxTips">
      <h3>
        <img :src=" geturl +'icon-idea.png'" alt title /> aplikasi.
        <span class="text-red">us</span> tips
      </h3>
      <p class="Black">{{fetchedData.tips.content}}</p>
    </div>
  </div>
</template>

<script>
import api from "../../api/global";
export default {
  data() {
    return {
      fetchedData: {
        dataYouKnow: [],
        tips: [],
        url:[],
        fullurl:[]
      }
    };
  },
  methods: {
    
    fetchData() {
      api
        .getDoYouKnow()
        .then(res => {
          this.fetchedData.dataYouKnow = res.data;
        })
        .then(res => {
          return api.getTips();
        })
        .then(res => {
          this.fetchedData.tips = res.data;
        })
        .catch(err => {
          console.log(err);
        });
    }
    
  },
  computed:{
    geturl : function() { 
    let curr = process.env.MIX_API_URL;
    this.fullurl = curr +  "/public/images/";
    return this.fullurl;
    }
  },
  mounted() {    
    this.fetchData();
  }
  
};

</script>
<style>
 .container{
   padding-right: 0px!important;
   padding-left: 0px!important;
 }
</style>